return {
    min_layer = 1,
    max_layer = 4,
    shiftmode_keys = {[""] = true},
    symbolmode_keys = {["記号"] = true, ["かな"] = true},
    utf8mode_keys = {["🌐"] = true},
    umlautmode_keys = {["゜"] = true},
    keys = {
        -- first row
        {  --  1       2       3       4
            { "ア",    "あ",    "~",    "`", },
            { "カ",    "か",    "!",    "1", },
            { "サ",    "さ",    "@",    "2", },
            { "タ",    "た",    "#",    "3", },
            { "ナ",    "な",    "$",    "4", },
            { "ハ",    "は",    "%",    "5", },
            { "マ",    "ま",    "^",    "6", },
            { "ヤ",    "や",    "&",    "7", },
            { "ラ",    "ら",    "*",    "8", },
            { "ワ",    "わ",    "(",    "9", },
            { "ァ",    "ぁ",    ")",    "0", },
            { "ャ",    "ゃ",    "_",    "-", },
            { "゛",    "゛",    "+",    "=", },
        },
        -- second row
        {  --  1       2       3       4
            { "イ",    "い",    "Q",    "q", },
            { "キ",    "き",    "W",    "w", },
            { "シ",    "し",    "E",    "e", },
            { "チ",    "ち",    "R",    "r", },
            { "ニ",    "に",    "T",    "t", },
            { "ヒ",    "ひ",    "Y",    "y", },
            { "ミ",    "み",    "U",    "u", },
            { "　",    "　",    "I",    "i", },
            { "リ",    "り",    "O",    "o", },
            { "　",    "　",    "P",    "p", },
            { "ィ",    "ぃ",    "{",    "[", },
            { "ュ",    "ゅ",    "}",    "]", },
            { "゜",    "゜",    "|",    "\\", },
        },
        -- third row
        {  --  1       2       3       4
            { "ウ",    "う",    "A",    "a", },
            { "ク",    "く",    "S",    "s", },
            { "ス",    "す",    "D",    "d", },
            { "ツ",    "つ",    "F",    "f", },
            { "ヌ",    "ぬ",    "G",    "g", },
            { "フ",    "ふ",    "H",    "h", },
            { "ム",    "む",    "J",    "j", },
            { "ユ",    "ゆ",    "K",    "k", },
            { "ル",    "る",    "L",    "l", },
            { "ヲ",    "を",    ":",    ";", },
            { "ゥ",    "ぅ",    "\"",    "'", },
            { "ョ",    "ょ",    "『",    "「", },
            { "ー",    "ー",    "』",    "」", },
        },
        -- fourth row
        {  --  1       2       3       4
            { "エ",    "え",    "Z",    "z", },
            { "ケ",    "け",    "X",    "x", },
            { "セ",    "せ",    "C",    "c", },
            { "テ",    "て",    "V",    "v", },
            { "ネ",    "ね",    "B",    "b", },
            { "ヘ",    "へ",    "N",    "n", },
            { "メ",    "め",    "M",    "m", },
            { "　",    "　",    "<",    ",", },
            { "レ",    "れ",    ">",    ".", },
            { "　",    "　",    "?",    "/", },
            { "ェ",    "ぇ",    "～",    "・", },
            { "ッ",    "っ",    "…",    "、", },
            { "、",    "、",    "￥",     "。", },
        },
        -- fifth row
        {  --  1       2       3       4
            { "オ",    "お",    "Á",    "á", },
            { "コ",    "こ",    "É",    "é", },
            { "ソ",    "そ",    "Í",    "í", },
            { "ト",    "と",    "Ó",    "ó", },
            { "ノ",    "の",    "Ú",    "ú", },
            { "ホ",    "ほ",    "Ñ",    "ñ", },
            { "モ",    "も",    "Ü",    "ü", },
            { "ヨ",    "よ",    "¿",    "ç", },
            { "ロ",    "ろ",    "¡",    "ß", },
            { "ン",    "ん",    "Æ",    "æ", },
            { "ォ",    "ぉ",    "€",    "£", },
            { "　",    "　",    "«",    "【", },
            { "。",    "。",    "»",    "】", },
        },
        -- sixth row
        {
            { label = "",
              width = 1.5
            },
            { label = "🌐",
              width = 1.5
            },
            { "記号",  "記号",  "かな",  "かな",
              width = 1.5},
            { label = "空白",
              " ",    " ",    " ",    " ",
              width = 5.5},
            { label = "⮠",
              "\n",   "\n",   "\n",   "\n",
              width = 1.5,
              bold = true
            },
            { label = "",
              width = 1.5,
              bold = false
            },
        },
    },
}
